#!/usr/bin/env python3
import os
import subprocess
from datetime import datetime

import requests

today = datetime.today().strftime("%Y-%m-%d")
home = os.path.expanduser("~")
target_path = f"{home}/var/backgrounds/unsplash/{today}.jpg"

# If the file for today already exists, just exit
if os.path.isfile(target_path):
    print(f"Unsplash image for {today} already exists, skipping download")
    exit()

root = "https://source.unsplash.com"
iotd_uri = f"{root}/random"
img = requests.get(iotd_uri, stream=True)

handle = open(target_path, "wb")
for chunk in img.iter_content(chunk_size=512):
    if chunk:  # filter out keep-alive new chunks
        handle.write(chunk)
